# FoundationClasses
TKMath
TColgp

# TColgp_Array1OfXYZ Class Reference

`#include <TColgp_Array1OfXYZ.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColgp_Array1OfXYZ (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TColgp_Array1OfXYZ (const gp_XYZ &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const gp_XYZ &V)
Standard_EXPORT void | Destroy ()
| ~TColgp_Array1OfXYZ ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const TColgp_Array1OfXYZ & | Assign (const TColgp_Array1OfXYZ &Other)
const TColgp_Array1OfXYZ & | operator= (const TColgp_Array1OfXYZ &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const gp_XYZ &Value)
const gp_XYZ & | Value (const Standard_Integer Index) const
const gp_XYZ & | operator() (const Standard_Integer Index) const
gp_XYZ & | ChangeValue (const Standard_Integer Index)
gp_XYZ & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | TColgp_Array1OfXYZ (const TColgp_Array1OfXYZ &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT TColgp_Array1OfXYZ::TColgp_Array1OfXYZ | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TColgp_Array1OfXYZ::TColgp_Array1OfXYZ | ( | const gp_XYZ & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

TColgp_Array1OfXYZ::~TColgp_Array1OfXYZ | ( |  | ) | `[inline]`

Standard_EXPORT TColgp_Array1OfXYZ::TColgp_Array1OfXYZ | ( | const TColgp_Array1OfXYZ & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const TColgp_Array1OfXYZ& TColgp_Array1OfXYZ::Assign | ( | const TColgp_Array1OfXYZ & | Other | ) |

gp_XYZ& TColgp_Array1OfXYZ::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TColgp_Array1OfXYZ::Destroy | ( |  | ) |

Standard_EXPORT void TColgp_Array1OfXYZ::Init | ( | const gp_XYZ & | V | ) |

Standard_Boolean TColgp_Array1OfXYZ::IsAllocated | ( |  | ) | const

Standard_Integer TColgp_Array1OfXYZ::Length | ( |  | ) | const

Standard_Integer TColgp_Array1OfXYZ::Lower | ( |  | ) | const

void TColgp_Array1OfXYZ::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColgp_Array1OfXYZ::operator new | ( | size_t | size | ) | `[inline]`

void* TColgp_Array1OfXYZ::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

gp_XYZ& TColgp_Array1OfXYZ::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const gp_XYZ& TColgp_Array1OfXYZ::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const TColgp_Array1OfXYZ& TColgp_Array1OfXYZ::operator= | ( | const TColgp_Array1OfXYZ & | Other | ) | `[inline]`

void TColgp_Array1OfXYZ::SetValue | ( | const Standard_Integer | Index,
|  | const gp_XYZ & | Value
| ) |

Standard_Integer TColgp_Array1OfXYZ::Upper | ( |  | ) | const

const gp_XYZ& TColgp_Array1OfXYZ::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean TColgp_Array1OfXYZ::isAllocated `[private]`

Standard_Integer TColgp_Array1OfXYZ::myLowerBound `[private]`

Standard_Address TColgp_Array1OfXYZ::myStart `[private]`

Standard_Integer TColgp_Array1OfXYZ::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- TColgp_Array1OfXYZ.hxx